[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParam.AssignFieldValue

Assign field value to the parameter.

## Declaration

Source position: db.pas line 1736

`public procedure TParam.AssignFieldValue(`
`Field: TField;`
`const AValue: Variant`
`);`

## Arguments

`Field` |  | Field to copy parameter type from.
`AValue` |  | Value to assign to parameter.

## Description

AssignFieldValue copies only the field type from Field and the value from the AValue parameter. It sets the TParam.Bound bound parameter to True. This method is called from TParam.AssignField.

## See also

TField |  | Provide access to the contents of a single field in a record
TParam.AssignField |  | Copy value from field instance
TParam.Bound |  | Is the parameter value bound (set to fixed value)

The latest version of this document can be found at lazarus-ccr.sourceforge.net .